# Trending Tokens

### Endpoint

```
GET https://api.dapplooker.com/v1/trending-tokens
```

***

## Query Parameters

| Parameter | Type   | Required | Description                         |
| --------- | ------ | -------- | ----------------------------------- |
| chain     | string | Yes      | Network to query (`base`, `solana`) |
| strategy  | string | No       | Ranking model                       |
| api\_key  | string | No       | API key if not using x402           |

***

## Supported Strategies

| Strategy                | Description                                     |
| ----------------------- | ----------------------------------------------- |
| mcap                    | Popular tokens with active market participation |
| volume\_and\_staking    | Volume + staking conviction signals             |
| volume\_and\_smartmoney | Volume + wallet flow signals                    |

***

## Example Requests

```bash
# Base chain default ranking
curl --location 'https://api.dapplooker.com/v1/trending-tokens?api_key=<API_KEY>&chain=base'

# Solana chain default ranking
curl --location 'https://api.dapplooker.com/v1/trending-tokens?api_key=<API_KEY>&chain=solana'

# Base with staking conviction strategy
curl --location 'https://api.dapplooker.com/v1/trending-tokens?api_key=<API_KEY>&chain=base&strategy=volume_and_staking'

# Base with smart money strategy
curl --location 'https://api.dapplooker.com/v1/trending-tokens?api_key=<API_KEY>&chain=base&strategy=volume_and_smartmoney'
```

***

## Example Response

```json
{
  "success": true,
  "data": [
    {
      "rank": 1,
      "token_id": "vaderai-by-virtuals",
      "token_name": "Vader",
      "token_symbol": "VADER",
      "token_address": "0x731814e491571a2e9ee3c5b1f7f3b962ee8f4870",
      "network": "base",

      "volume_24h_usd": 943481,
      "liquidity_usd": 1142503,
      "market_cap_usd": 14841210,

      "price_change_percentage_1h": 0.50,
      "price_change_percentage_24h": 4.71,

      "score": 6.84
    }
  ]
}
```

***

## Response Schema

### Core Token Fields

| Field          | Type   | Description               |
| -------------- | ------ | ------------------------- |
| rank           | number | Ranking position          |
| token\_id      | string | Internal token identifier |
| token\_name    | string | Full token name           |
| token\_symbol  | string | Token ticker              |
| token\_address | string | Contract address          |
| network        | string | Blockchain network        |

***

### Market Activity Fields

| Field            | Type   | Description                 |
| ---------------- | ------ | --------------------------- |
| volume\_24h\_usd | number | 24h trading volume          |
| liquidity\_usd   | number | Current available liquidity |
| market\_cap\_usd | number | Token market capitalization |

***

### Momentum Fields

| Field                          | Type   | Description             |
| ------------------------------ | ------ | ----------------------- |
| price\_change\_percentage\_1h  | number | 1h price change         |
| price\_change\_percentage\_24h | number | 24h price change        |
| score                          | number | Composite ranking score |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dapplooker.com/products/api-endpoints/wallet-intelligence/trending-tokens.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
